# Uses of Class
javax.swing.JMenu

Packages that use JMenu
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of JMenu in javax.swing

Methods in javax.swing that return JMenu
Modifier and Type
Method
Description
`JMenu`
JMenuBar.`add(JMenu c)`
Appends the specified menu to the end of the menu bar.
`JMenu`
JMenuBar.`getHelpMenu()`
Gets the help menu for the menu bar.
`JMenu`
JMenuBar.`getMenu(int index)`
Returns the menu at the specified position in the menu bar.
Methods in javax.swing with parameters of type JMenu
Modifier and Type
Method
Description
`JMenu`
JMenuBar.`add(JMenu c)`
Appends the specified menu to the end of the menu bar.
`void`
JMenuBar.`setHelpMenu(JMenu menu)`
Sets the help menu that appears when the user selects the "help" option in the menu bar.

## Uses of JMenu in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JMenu
Modifier and Type
Field
Description
`JMenu`
BasicMenuUI.ChangeHandler.`menu`
The instance of `JMenu`.
`protected JMenu`
BasicInternalFrameTitlePane.`windowMenu`
The instance of `JMenu`.
Methods in javax.swing.plaf.basic that return JMenu
Modifier and Type
Method
Description
`protected JMenu`
BasicInternalFrameTitlePane.`createSystemMenu()`
Returns a new instance of `JMenu`.
Methods in javax.swing.plaf.basic with parameters of type JMenu
Modifier and Type
Method
Description
`protected void`
BasicInternalFrameTitlePane.`addSystemMenuItems(JMenu systemMenu)`
Adds system menu items to `systemMenu`.
`protected void`
BasicMenuUI.`setupPostTimer(JMenu menu)`
Sets timer to the `menu`.
Constructors in javax.swing.plaf.basic with parameters of type JMenu
Modifier
Constructor
Description
``
`ChangeHandler(JMenu m, BasicMenuUI ui)`
Constructs a new instance of `ChangeHandler`.

## Uses of JMenu in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal with parameters of type JMenu
Modifier and Type
Method
Description
`protected void`
MetalInternalFrameTitlePane.`addSystemMenuItems(JMenu systemMenu)`
Override the parent's method to do nothing.